<script setup lang="ts">
import { ArrowRight } from 'slippers-ui/icons';
import type { BaseLink } from '@/types/base';
defineProps<BaseLink>();
</script>

<template>
  <a
    :href="config.href"
    class="button-banner"
    :data-ga-name="config.dataGaName"
    :data-ga-location="config.dataGaLocation"
  >
    <SlpTypography variant="body3">{{ text }}</SlpTypography>
    <SlpIcon :icon="ArrowRight" size="sm" class="slp-ml-4 button-banner__icon" />
  </a>
</template>

<style lang="scss" scoped>
.button-banner {
  display: flex;
  justify-content: space-between;
  padding: 8px 16px;
  align-items: center;
  animation: opacity-intro 0.9s linear forwards 0.8s;
  border-radius: 20px;
  background: linear-gradient(0deg, rgba(225, 152, 109, 0.1) 0%, rgba(110, 67, 211, 0.1) 100%);
  color: $color-text-50;
  margin-bottom: $spacing-64;
  border: 1px solid $color-surface-600;

  &:hover {
    .slp-icon {
      transform: translateX(8px);
    }
  }

  &__icon {
    color: $color-text-50;
    transition: all 0.3s ease;
    * {
      fill: currentColor;
    }
  }
}
@keyframes opacity-intro {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
</style>
